Bug 1272790 - fcode-utils is broken on big endian architecture
fcode-utils is broken on big endian architecture
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fcode-utils (Show other bugs)
22
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 18:52 EDT by Laurent Vivier
Modified: 2016-01-17 13:51 EST (History)
1 user (show)

See Also:
Fixed In Version: fcode-utils-1.0.2-13.svn1354.fc23 fcode-utils-1.0.2-13.svn1354.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 12:52:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch, tested with openbios. (726 bytes, text/plain)
2015-10-18 18:52 EDT, Laurent Vivier
no flags Details

  None (edit)
Description Laurent Vivier 2015-10-18 18:52:44 EDT
Created attachment 1084194 [details]
patch, tested with openbios.

Description of problem:

Trying to compile openbios on Fedora 22 ppc64, I had the following error:

toke -o QEMU,VGA.bin ~/openbios/drivers/vga.fs
...
Tokenizing  ~/openbios/drivers/vga.fs   Binary output to QEMU,VGA.bin 
Warning:  File ~/openbios/drivers/vga.fs, Line 1.  Unterminated comment
Nothing Tokenized.  1 Warning.

This can be reproduced with the fcode-utils examples.

Version-Release number of selected component (if applicable):

fcode-utils-1.0.2-11.fc22

How reproducible:

100%

Steps to Reproduce:
1. Download the fcode-utils source package
2. cd fcode-utils/toke
3. toke examples/case.fs

Actual results:

Tokenizing  examples/case.fs   Binary output to examples/case.fc 
Warning:  File examples/case.fs, Line 1.  Unterminated comment
Nothing Tokenized.  1 Warning.

Expected results:

Tokenizing  examples/case.fs   Binary output to examples/case.fc 
Tokenization Completed. .
toke: wrote 67 bytes to bytecode file 'examples/case.fc'

Additional info:

"toke" is parsing the comment line until it finds a '\n'.
The '\n' is stored in char which is a field in an union, but it is read as a long. It works well on little endian but not on big endian.
Comment 1 Laurent Vivier 2015-11-06 11:59:58 EST
Fixed upstream by:

http://tracker.coreboot.org/trac/openbios/changeset/1354
Comment 2 Fedora Update System 2016-01-08 09:09:01 EST
fcode-utils-1.0.2-13.svn1354.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f055e78f8
Comment 3 Fedora Update System 2016-01-08 23:24:40 EST
fcode-utils-1.0.2-13.svn1354.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f055e78f8
Comment 4 Fedora Update System 2016-01-08 23:26:33 EST
fcode-utils-1.0.2-13.svn1354.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bf8cc878f
Comment 5 Fedora Update System 2016-01-17 12:52:09 EST
fcode-utils-1.0.2-13.svn1354.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-01-17 13:51:12 EST
fcode-utils-1.0.2-13.svn1354.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.